<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__widget__crc__data__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_widget_crc_data_t</compoundname>
    <includes local="no">cy_capsense_structure.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__widget__crc__data__t_1a373d9ef4767624a402f7b5212474c2e7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_widget_crc_data_t::fingerThVal</definition>
        <argsstring />
        <name>fingerThVal</name>
        <briefdescription>
<para>The value of the .fingerTh field of the <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="834" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="834" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__crc__data__t_1ae33b026cd3a82c07e0dcdc80723b0e77" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_widget_crc_data_t::proxThVal</definition>
        <argsstring />
        <name>proxThVal</name>
        <briefdescription>
<para>The value of the .proxTh field of the <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="835" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="835" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__crc__data__t_1a2c02fa3c77712c71160208f61b1d7f66" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_widget_crc_data_t::fingerCapVal</definition>
        <argsstring />
        <name>fingerCapVal</name>
        <briefdescription>
<para>The value of the .fingerCap field of the <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="836" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="836" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__crc__data__t_1a2742dd33a65b5791a4aca1dd86f60910" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_widget_crc_data_t::sigPFCVal</definition>
        <argsstring />
        <name>sigPFCVal</name>
        <briefdescription>
<para>The value of the .sigPFC field of the <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="837" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="837" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__crc__data__t_1a74ffdaa191f9c9bd3d17ff3170200bac" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_widget_crc_data_t::resolutionVal</definition>
        <argsstring />
        <name>resolutionVal</name>
        <briefdescription>
<para>The value of the .resolution field of the <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="838" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="838" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__crc__data__t_1a1b9cf99918a603703887386a91037fcb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_widget_crc_data_t::lowBslnRstVal</definition>
        <argsstring />
        <name>lowBslnRstVal</name>
        <briefdescription>
<para>The value of the .lowBslnRst field of the <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="839" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="839" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__crc__data__t_1a888a88ed2d857e30e18b5240731fafb7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_widget_crc_data_t::snsClkVal</definition>
        <argsstring />
        <name>snsClkVal</name>
        <briefdescription>
<para>The value of the .snsClk field of the <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="840" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="840" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__crc__data__t_1af9f145585e1986461ae4ba26927bbe3c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_widget_crc_data_t::rowSnsClkVal</definition>
        <argsstring />
        <name>rowSnsClkVal</name>
        <briefdescription>
<para>The value of the .rowSnsClk field of the <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="841" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="841" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__crc__data__t_1a656e5777ec25c6e3a3b5b64ba54fc4dc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_widget_crc_data_t::onDebounceVal</definition>
        <argsstring />
        <name>onDebounceVal</name>
        <briefdescription>
<para>The value of the .onDebounce field of the <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="842" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="842" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__crc__data__t_1a56160b9d3867b8b59fda1ebface25359" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_widget_crc_data_t::snsClkSourceVal</definition>
        <argsstring />
        <name>snsClkSourceVal</name>
        <briefdescription>
<para>The value of the .snsClkSource field of the <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="843" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="843" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__crc__data__t_1a1d341f57cd4922055d9b81d2ad84836e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_widget_crc_data_t::idacModVal[CY_CAPSENSE_FREQ_CHANNELS_NUM]</definition>
        <argsstring>[CY_CAPSENSE_FREQ_CHANNELS_NUM]</argsstring>
        <name>idacModVal</name>
        <briefdescription>
<para>The value of the .idacMod field of the <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="844" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="844" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__crc__data__t_1a16b1ee33055b4f7d5c1d9c6ff0cdade2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_widget_crc_data_t::idacGainIndexVal</definition>
        <argsstring />
        <name>idacGainIndexVal</name>
        <briefdescription>
<para>The value of the .idacGainIndex field of the <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="845" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="845" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__crc__data__t_1a0c46fa98ffa822712ffe6adcbf05ae03" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_widget_crc_data_t::rowIdacModVal[CY_CAPSENSE_FREQ_CHANNELS_NUM]</definition>
        <argsstring>[CY_CAPSENSE_FREQ_CHANNELS_NUM]</argsstring>
        <name>rowIdacModVal</name>
        <briefdescription>
<para>The value of the .rowIdacMod field of the <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="846" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="846" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__crc__data__t_1afcffff36e1c704358bfd5815bbb966cc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_widget_crc_data_t::noiseThVal</definition>
        <argsstring />
        <name>noiseThVal</name>
        <briefdescription>
<para>The value of the .noiseTh field of the <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="847" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="847" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__crc__data__t_1ac483adcaaae309de3da01df5454bb600" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_widget_crc_data_t::nNoiseThVal</definition>
        <argsstring />
        <name>nNoiseThVal</name>
        <briefdescription>
<para>The value of the .nNoiseTh field of the <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="848" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="848" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__crc__data__t_1adaaf53405b8386927c4957cfc3726926" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_widget_crc_data_t::hysteresisVal</definition>
        <argsstring />
        <name>hysteresisVal</name>
        <briefdescription>
<para>The value of the .hysteresis field of the <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="849" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="849" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Declares the structure that is intended to store the <ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> data structure fields, the CRC checking should be applied for. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="850" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="832" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="833" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__widget__crc__data__t_1a2c02fa3c77712c71160208f61b1d7f66" virt="non-virtual"><scope>cy_stc_capsense_widget_crc_data_t</scope><name>fingerCapVal</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__crc__data__t_1a373d9ef4767624a402f7b5212474c2e7" virt="non-virtual"><scope>cy_stc_capsense_widget_crc_data_t</scope><name>fingerThVal</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__crc__data__t_1adaaf53405b8386927c4957cfc3726926" virt="non-virtual"><scope>cy_stc_capsense_widget_crc_data_t</scope><name>hysteresisVal</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__crc__data__t_1a16b1ee33055b4f7d5c1d9c6ff0cdade2" virt="non-virtual"><scope>cy_stc_capsense_widget_crc_data_t</scope><name>idacGainIndexVal</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__crc__data__t_1a1d341f57cd4922055d9b81d2ad84836e" virt="non-virtual"><scope>cy_stc_capsense_widget_crc_data_t</scope><name>idacModVal</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__crc__data__t_1a1b9cf99918a603703887386a91037fcb" virt="non-virtual"><scope>cy_stc_capsense_widget_crc_data_t</scope><name>lowBslnRstVal</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__crc__data__t_1ac483adcaaae309de3da01df5454bb600" virt="non-virtual"><scope>cy_stc_capsense_widget_crc_data_t</scope><name>nNoiseThVal</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__crc__data__t_1afcffff36e1c704358bfd5815bbb966cc" virt="non-virtual"><scope>cy_stc_capsense_widget_crc_data_t</scope><name>noiseThVal</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__crc__data__t_1a656e5777ec25c6e3a3b5b64ba54fc4dc" virt="non-virtual"><scope>cy_stc_capsense_widget_crc_data_t</scope><name>onDebounceVal</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__crc__data__t_1ae33b026cd3a82c07e0dcdc80723b0e77" virt="non-virtual"><scope>cy_stc_capsense_widget_crc_data_t</scope><name>proxThVal</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__crc__data__t_1a74ffdaa191f9c9bd3d17ff3170200bac" virt="non-virtual"><scope>cy_stc_capsense_widget_crc_data_t</scope><name>resolutionVal</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__crc__data__t_1a0c46fa98ffa822712ffe6adcbf05ae03" virt="non-virtual"><scope>cy_stc_capsense_widget_crc_data_t</scope><name>rowIdacModVal</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__crc__data__t_1af9f145585e1986461ae4ba26927bbe3c" virt="non-virtual"><scope>cy_stc_capsense_widget_crc_data_t</scope><name>rowSnsClkVal</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__crc__data__t_1a2742dd33a65b5791a4aca1dd86f60910" virt="non-virtual"><scope>cy_stc_capsense_widget_crc_data_t</scope><name>sigPFCVal</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__crc__data__t_1a56160b9d3867b8b59fda1ebface25359" virt="non-virtual"><scope>cy_stc_capsense_widget_crc_data_t</scope><name>snsClkSourceVal</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__crc__data__t_1a888a88ed2d857e30e18b5240731fafb7" virt="non-virtual"><scope>cy_stc_capsense_widget_crc_data_t</scope><name>snsClkVal</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>